%define name	glchess
%define version	0.4.7
%define release	3mdk

Summary:	GlChess, a 3d Chess game using OpenGL
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Boards
Requires:	gnuchess

Source:		http://prdownloads.sourceforge.net/glchess/%{name}-%{version}.tar.bz2
Source1:	%{name}-png.tar.bz2
Patch:		%{name}-strcmp_use.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	Mesa-common-devel XFree86-devel 
BuildRequires:	gtkglarea-devel >= 1.2.2 
BuildRequires:	gtk-devel
Url:		http://glchess.sourceforge.net/

%description
A very nice Chess game using OpenGL.

%prep
%setup -q
%patch -p1
# manual automatic patch building.
perl -pi -e 's,/usr/local/share/games,%{_gamesdatadir},' glchessrc

%build
./autogen.sh
%configure
%make bindir=%{_gamesbindir} datadir=%{_gamesdatadir}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp -v glchessrc $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
cp -v man/glchess.6 $RPM_BUILD_ROOT%{_mandir}/man6
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir}
cp -a src/glchess $RPM_BUILD_ROOT%{_gamesbindir}
mkdir -p $RPM_BUILD_ROOT%{_gamesdatadir}/glchess/textures
cp -Rv textures/*.rgb $RPM_BUILD_ROOT%{_gamesdatadir}/glchess/textures

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzip2 -dc %{SOURCE1} | tar xvf -
install -m0644 glchess-16.png $RPM_BUILD_ROOT%{_miconsdir}/glchess.png
install -m0644 glchess-32.png $RPM_BUILD_ROOT%{_iconsdir}/glchess.png
install -m0644 glchess-48.png $RPM_BUILD_ROOT%{_liconsdir}/glchess.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/glchess
?package(%{name}):command="%{_gamesbindir}/glchess" \
		  icon="glchess.png" \
		  needs="x11" \
		  section="Amusement/Boards" \
		  title="GlChess" \
		  longtitle="3d Chess game"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc COPYING README AUTHORS BUGS ChangeLog NEWS TODO
%config(noreplace) %{_sysconfdir}/*
%{_gamesbindir}/*
%{_gamesdatadir}/glchess
%{_mandir}/man6/*
%{_miconsdir}/glchess.png
%{_iconsdir}/glchess.png
%{_liconsdir}/glchess.png
%{_menudir}/glchess

%changelog
* Sat Aug 28 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.4.7-3mdk
- Rebuild with new menu

* Wed Jun 02 2004 Michael Scherer <misc@mandrake.org>  0.4.7-2mdk
- Birthday rebuild
- BuildRequires adaptation

* Mon Feb 24 2003 Franois Pons <fpons@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7.

* Wed Apr 03 2002 Franois Pons <fpons@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6.

* Wed Jan 23 2002 Franois Pons <fpons@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4.

* Mon Jan 14 2002 Franois Pons <fpons@mandrakesoft.com> 0.4.3-1mdk
- use png files instead of xpm for icons.
- 0.4.3.

* Tue Dec 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1.

* Thu Sep 06 2001 Franois Pons <fpons@mandrakesoft.com> 0.3.5-2mdk
- added requires on gnuchess (fpitoun).

* Wed Sep 05 2001 Franois Pons <fpons@mandrakesoft.com> 0.3.5-1mdk
- initial release.
